> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fact0.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List spans for an execution



## OpenAPI

````yaml /openapi/telemetry.v1.yaml get /api/v1/executions/{executionID}/spans
openapi: 3.1.0
info:
  title: Fact0 Execution Telemetry API
  version: 1.0.0
  description: >
    Execution tracing API for AI agent observability - executions, spans,
    events, DAG, and replay.


    **Auth:** `f0_live_*` API keys (same as the audit log on Fact0 Cloud).
servers:
  - url: https://api.fact0.io
    description: Fact0 Cloud
security: []
tags:
  - name: Ingest
  - name: Query
  - name: Replay
paths:
  /api/v1/executions/{executionID}/spans:
    get:
      tags:
        - Query
      summary: List spans for an execution
      operationId: getSpans
      parameters:
        - $ref: '#/components/parameters/ExecutionID'
      responses:
        '200':
          description: Span list
          content:
            application/json:
              schema:
                type: object
                properties:
                  spans:
                    type: array
                    items:
                      $ref: '#/components/schemas/Span'
components:
  parameters:
    ExecutionID:
      name: executionID
      in: path
      required: true
      schema:
        type: string
  schemas:
    Span:
      type: object
      properties:
        id:
          type: string
        execution_id:
          type: string
        parent_span_id:
          type: string
        caused_by_span_ids:
          type: array
          items:
            type: string
        span_type:
          type: string
          enum:
            - TOOL_CALL
            - MODEL_INVOCATION
            - STATE_MUTATION
            - HUMAN_APPROVAL
            - POLICY_EVALUATION
            - CUSTOM
        name:
          type: string
        status:
          type: string
          enum:
            - RUNNING
            - COMPLETED
            - FAILED
            - CANCELLED
        started_at:
          type: string
          format: date-time
        ended_at:
          type: string
          format: date-time
        metadata:
          type: object
          additionalProperties:
            type: string

````